Skip to content

Get recent port log

GET
/ports/{id}/log
curl --request GET \
--url https://api.ltesocks.io/v2/ports/example/log \
--header 'Authorization: Bearer <token>'

Returns the first page of connection and status events for a port.

id
required
string

Account-scoped port identifier.

Successful operation

Media typeapplication/json
object
data
Array<object>
object
action
string
cause
string
source
string
extra
string
createdAt
string format: date-time
page
integer
pageSize
integer
total
integer
Example
{
"data": [
{
"action": "update",
"cause": "admin",
"source": "adminDashboard",
"extra": "extra info",
"createdAt": "2022-04-03T01:13:50.182Z"
}
],
"page": 1,
"pageSize": 20,
"total": 7
}

The bearer token is missing, invalid, or no longer active.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}

The configured request limit has been exceeded.

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}

Error

Media typeapplication/json
object
error

Error text representation

string
Example
{
"error": "example error"
}